Bug 206615 - lang/ocaml: Fails to build on armv6
Summary: lang/ocaml: Fails to build on armv6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm Any
: --- Affects Only Me
Assignee: Guido Falsi
URL: http://beefy8.nyi.freebsd.org/data/he...
Keywords: patch, patch-ready, regression
Depends on:
Blocks:
 
Reported: 2016-01-25 16:17 UTC by mikael.urankar
Modified: 2016-03-24 20:55 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (michipili)


Attachments
armv6 fix (2.99 KB, patch)
2016-01-25 16:17 UTC, mikael.urankar
no flags Details | Diff
poudriere testport log (450.02 KB, text/x-log)
2016-01-25 16:18 UTC, mikael.urankar
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description mikael.urankar 2016-01-25 16:17:20 UTC
Created attachment 166106 [details]
armv6 fix

Hi,

The latest upgrade (r403835) broke the build on armv6, the attached patch fixes that.
Comment 1 mikael.urankar 2016-01-25 16:18:21 UTC
Created attachment 166107 [details]
poudriere testport log
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-25 18:14:28 UTC
CC committer of r403835
Comment 3 Michael Grünewald 2016-02-08 08:26:35 UTC
Hi Mikael, thank you for your patch!

Could you be a bit more specific about what was broken and how you
fixed it?  A two-sentences description would be useful “just for
the record”.

Unfortunately, I have no ARMv6 by here, where I could test this. I reviewed
your patch and it looks good to me. I have however one question: if I understand
correctly, the patch adds profiling libraries to the plist. But if I remember
correctly, profiling libraries used no to be available on armv6, see [1].

Could you comment on this?

Thanks!

[1]: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=200102#c13
Comment 4 mikael.urankar 2016-02-09 08:03:33 UTC
I'm trying to solve this error:
http://beefy8.nyi.freebsd.org/data/head-armv6-default/p406714_s293048/logs/errors/ocaml-4.02.3.log

Building the profiling libraries on armv6 is just a matter of adding the missing bits in the configure script, I didn't know that in PR 200102
Comment 5 Michael Grünewald 2016-02-09 17:57:36 UTC
Thank you for your quick feedback Mikael.

AFAIC we can merge this, but maybe wen has further comments?
Comment 6 Oliver 2016-02-23 15:18:21 UTC
Hi,

even with the patch from Mikael ocaml will not build when x11 is deselected.
Tested on the latest FreeBSD-11.0-CURRENT-arm-armv6-RPI2-20160217-r295683 it stops with

===>  ocaml-lablgl-1.05,1 conflicts with installed package(s): 
      ocaml-nox11-4.02.3

      They will not build together.
      Please remove them first with pkg delete.
Comment 7 Michael Grünewald 2016-02-23 15:21:35 UTC
Actually, this shows that OCaml has been compiled on your system.  You seem to face
a totally unrelated that should be resolved by recompiling OCaml with X11 support.
Comment 8 Guido Falsi freebsd_committer 2016-03-23 21:11:53 UTC
Hi,

I've tested your patch on a raspberry pi2, I compiled the net/unison-text port and it works fine.

Let me test this a little further so I can commit it.
Comment 9 Guido Falsi freebsd_committer 2016-03-23 21:17:18 UTC
(In reply to Guido Falsi from comment #8)
> Hi,
> 
> I've tested your patch on a raspberry pi2, I compiled the net/unison-text
> port and it works fine.
> 
> Let me test this a little further so I can commit it.

obviously if you approve the patch.
Comment 10 Guido Falsi freebsd_committer 2016-03-24 14:52:05 UTC
I have done a round of testing in poudriere and this patch does not brake the port in any way and does make it package correctly on armv6.

So If The maintainer states his approval, and there are no objections, I'd commit it to the tree.

Thanks.
Comment 11 Michael Grünewald 2016-03-24 17:58:27 UTC
> So If The maintainer states his approval, and there are no objections, I'd commit it to the tree.

Yes Ia m fine with merging this (as fine as in #5). Thanks! :)
Comment 12 Guido Falsi freebsd_committer 2016-03-24 20:55:39 UTC
Committed. Thanks!
Comment 13 commit-hook freebsd_committer 2016-03-24 20:55:46 UTC
A commit references this bug:

Author: madpilot
Date: Thu Mar 24 20:55:15 UTC 2016
New revision: 411811
URL: https://svnweb.freebsd.org/changeset/ports/411811

Log:
  Fix packaging on armv6 by enabling profiling libraries.

  PR:		206615
  Submitted by:	mikael.urankar at gmail.com
  Approved by:	michipili at gmail.com (maintainer)

Changes:
  head/lang/ocaml/Makefile
  head/lang/ocaml/files/patch-configure